田草博客
日志搜索


 标题   内容 评论


网友交流QQ群:11740834 需注明申请加入原因

微信 公众号:ByCAD

邮箱:tiancao1001x126.com
ByCAD,微信公众号
首页 | 普通 | 电脑 | AutoCAD | VB/VB.NET | FLash | 结构 | 建筑 | 电影 | BIM | 规范 | 软件
-电信用户-|-网通用户-
-博客论坛-|-软件下载-
-网站导航-|-规范下载-
-BelovedFLash欣赏-

用户登陆
用户:
密码:
 

站点日历
73 2019 - 1 48
  12345
6789101112
13141516171819
20212223242526
2728293031


站点统计

最新评论



CAD 让文字显示在指定区域,自动根据文字内容调整文字高度 CAD 五角星绘制
未知 CAD 坡度标注   [ 日期:2007-01-24 ]   [ 来自:本站原创 ]  HTML


CAD 坡度标注

程序代码:[ 复制代码到剪贴板 ]
'***********************************************************************************************

'坡度标注***********************************************坡度标注**********************************
 
Sub DimPD()
 
    Dim H As Integer
    '默认文字标注高度
    H = ThisDrawing.GetVariable("DIMTXT")                               
    ThisDrawing.Utility.InitializeUserInput 1, ""
    '用户可以再屏幕上面点两点获取值(两的间的距离)
    'GetDistance可以接受用户输入,比用GetInteger要好。
    H = ThisDrawing.Utility.GetDistance("标注文字高度(" & H & "):")     
                                                                        
    '错误检查
    '用户按下Esc键,则退出.(错误代码可以通过MsgBox提示获得)
    If Err.Number = -2147352567 Then                                   
        Err.Clear
        Exit Sub
    ElseIf Err Then
   '如果用户按下 enter 按钮或者输入有误,行距使用默认文字行距                                                   
        H = ThisDrawing.GetVariable("DIMTXT")
        Err.Clear
    End If
     
     
    Dim P1 As Variant
    Dim P2 As Variant
    Dim i As Double
    Dim PDString As String
    Dim PDText As AcadText
    
Redraw:
     On Error GoTo Ex:
     
     ThisDrawing.Utility.InitializeUserInput 1, ""
     P1 = ThisDrawing.Utility.GetPoint(, "在你要标注的直线上任意选取两点,第一点:")
     ThisDrawing.Utility.InitializeUserInput 1, ""
     P2 = ThisDrawing.Utility.GetPoint(, "在你要标注的直线上任意选取两点,第二点:")
     i = (P2(1) - P1(1)) / (P2(0) - P1(0))                                    '计算坡度
     PDString = 1 & ":" & Format(Abs(1 / i), "0.0000")                  '坡度精确到小数点后面四位数
     ThisDrawing.Utility.InitializeUserInput 1, ""
     P1 = ThisDrawing.Utility.GetPoint(, "选择标注基点:")
     Set PDText = ThisDrawing.ModelSpace.AddText(PDString, P1, H)
     PDText.Rotate P1, Atn(i)                                                   '标注文字和直线平行
     GoTo Redraw:
Ex:
     Exit Sub
 End Sub




[本日志由 田草 于 2007-01-24 05:14 PM 编辑]


暂时没有评论
发表评论 - 不要忘了输入验证码哦!
作者: 用户:  密码:   注册? 验证:  防止恶意留言请输入问题答案:2*5=?  
评论:

禁止表情
禁止UBB
禁止图片
识别链接
识别关键字

字体样式 文字大小 文字颜色
插入粗体文本 插入斜体文本 插入下划线
左对齐 居中对齐 右对齐
插入超级链接 插入邮件地址 插入图像
插入 Flash 插入代码 插入引用
插入列表 插入音频文件 插入视频文件
插入缩进符合
点击下载按钮 下标 上标
水平线 简介分割标记
表  情
 
Tiancao Blog All Rights Reserved 田草博客 版权所有
Copyright ©